@font-face {
  font-family: "clear_sans-medium";
  src: url("/fonts/clearsans-medium-webfont.woff2") format("woff2"),
    url("/fonts/clearsans-medium-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "clear_sans-bold";
  src: url("/fonts/clearsans-bold-webfont.woff2") format("woff2"),
    url("/fonts/clearsans-bold-webfont.woff") format("woff");
  font-weight: normal;
  font-style: normal;
}

/* Set the global variables for everything. Change these to use your own fonts and colours. */
:root {
  /* Set sans-serif & mono fonts */
  --sans-font: "clear_sans-medium";

  /* Body font size. By default, effectively 18.4px, based on 16px as 'root em' */
  --base-fontsize: 1.15rem;
  --font-p-size: 25px;

  /* Major third scale progression - see https://type-scale.com/ */
  --header-scale: 1.25;

  /* Line height is set to the "Golden ratio" for optimal legibility */
  --line-height: 1.618;

  /* Default (light) theme */
  --bg: #fff;
  --accent-bg: #f5f7ff;
  --text-light: #585858;
  --border: #d8dae1;
  --accent: #0d47a1;
  --accent-light: #90caf9;
  --code: #d81b60;
  --preformatted: #444;
  --marked: #ffdd33;
  --disabled: #efefef;

  /* Specific Wordle Styles /*

  /* Primitives */
  --color-tone-1: #1a1a1b;
  --color-tone-2: #787c7e;
  --color-tone-3: #878a8c;
  --color-tone-4: #d3d6da;
  --color-tone-5: #edeff1;
  --color-tone-6: #f6f7f8;
  --color-tone-7: #ffffff;
  --opacity-50: rgba(255, 255, 255, 0.5);

  --text: var(--color-tone-1);
  --color-background: var(--color-tone-7);
  --static-black: var(--color-tone-1);

  --green: #6aaa64;
  --darkendGreen: #538d4e;
  --yellow: #c9b458;
  --darkendYellow: #b59f3b;
  --lightGray: #d8d8d8;
  --gray: #86888a;
  --darkGray: #939598;
  --white: #fff;
  --black: #212121;
  --orange: #f5793a;
  --blue: #85c0f9;

  --border: 2px solid var(--color-tone-4);
  font-family: "Clear Sans", "Helvetica Neue", Arial, sans-serif;
  font-size: 16px;

  --color-link: var(--green);
  --color-present: var(--yellow);
  --color-correct: var(--green);
  --color-absent: var(--color-tone-4);
  --tile-text-color: var(--color-tone-7);
}

/* Dark theme */
@media (prefers-color-scheme: dark) {
  :root {
    --bg: #121213;
    --accent-bg: #2b2b2b;
    --text: #dcdcdc;
    --text-light: #ababab;
    --border: #666;
    --accent: #ffb300;
    --accent-light: #ffecb3;
    --code: #f06292;
    --preformatted: #ccc;
    --disabled: #111;

    /* Specific Wordle Styles /*

    /* Primitives */

    --color-tone-1: #d7dadc;
    --color-tone-2: #818384;
    --color-tone-3: #565758;
    --color-tone-4: #3a3a3c;
    --color-tone-5: #272729;
    --color-tone-6: #1a1a1b;
    --color-tone-7: #121213;

    --text: var(--color-tone-1);
    --color-background: var(--color-tone-7);
    --static-black: var(--color-tone-6);

    --green: #6aaa64;
    --darkendGreen: #538d4e;
    --yellow: #c9b458;
    --darkendYellow: #b59f3b;
    --lightGray: #d8d8d8;
    --gray: #86888a;
    --darkGray: #939598;
    --white: #fff;
    --black: #212121;
    --orange: #f5793a;
    --blue: #85c0f9;
    --border: 2px solid var(--color-tone-4);
    font-family: "Clear Sans", "Helvetica Neue", Arial, sans-serif;
    font-size: 16px;
  }

  img,
  video {
    opacity: 0.6;
  }
}

html {
  /* Set the font globally */
  font-family: var(--sans-font);
}

/* Make the body a nice central block */
body {
  background-color: var(--color-background);
  color: var(--text);
  font-size: var(--base-fontsize);
  line-height: var(--line-height);
  display: flex;
  padding: 32px;
  padding-bottom: 0;
  align-items: center;
  flex-direction: column;
  min-height: 100vh;
  flex: 1;
  margin: 0 auto;
  max-width: 45rem;
  overflow-x: hidden;
  word-break: break-word;
  overflow-wrap: break-word;
}

/* Make the header bg full width, but the content inline with body */
header {
  background: var(--accent-bg);
  border-bottom: 1px solid var(--border);
  text-align: center;
  padding: 2rem 0.5rem;
  width: 100vw;
  position: relative;
  box-sizing: border-box;
  left: 50%;
  right: 50%;
  margin-left: -50vw;
  margin-right: -50vw;
}

/* Remove margins for header text */
header h1,
header p {
  margin: 0;
}

/* Add a little padding to ensure spacing is correct between content and nav */
main {
  padding-top: 1.5rem;
}

/* Fix line height when title wraps */
h1,
h2,
h3 {
  line-height: 1.1;
}

/* Format navigation */
nav {
  font-size: 1rem;
  line-height: 2;
  padding: 1rem 0;
}

nav a {
  margin: 1rem 1rem 0 0;
  border: 1px solid var(--border);
  border-radius: 5px;
  color: var(--text) !important;
  display: inline-block;
  padding: 0.1rem 1rem;
  text-decoration: none;
  transition: 0.4s;
}

nav a:hover {
  color: var(--accent) !important;
  border-color: var(--accent);
}

nav a.current:hover {
  text-decoration: none;
}

footer {
  margin-top: 0;
  padding: 32px;
  padding-bottom: 0;
  color: var(--text-light);
  font-size: 0.9rem;
  text-align: center;
  border-top: 1px solid var(--border);
}

/* Format headers */
h1 {
  font-size: calc(
    var(--base-fontsize) * var(--header-scale) * var(--header-scale) *
      var(--header-scale) * var(--header-scale)
  );
  margin-top: calc(var(--line-height) * 1.5rem);
}

h2 {
  font-size: calc(
    var(--base-fontsize) * var(--header-scale) * var(--header-scale) *
      var(--header-scale)
  );
  margin-top: calc(var(--line-height) * 1.5rem);
}

h3 {
  font-size: calc(
    var(--base-fontsize) * var(--header-scale) * var(--header-scale)
  );
  margin-top: calc(var(--line-height) * 1.5rem);
}

h4 {
  font-size: calc(var(--base-fontsize) * var(--header-scale));
  margin-top: calc(var(--line-height) * 1.5rem);
}

h5 {
  font-size: var(--base-fontsize);
  margin-top: calc(var(--line-height) * 1.5rem);
}

h6 {
  font-size: calc(var(--base-fontsize) / var(--header-scale));
  margin-top: calc(var(--line-height) * 1.5rem);
}

label {
  align-self: flex-start;
  text-transform: uppercase;
  margin-bottom: 4px;
  display: flex;
  align-items: center;
}

label span.box {
  width: 20px;
  height: 20px;
  margin-right: 8px;
  line-height: 0;
  display: inline-block;
  background-color: var(--color-present);
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}

label span.box {
  width: 26px;
  height: 26px;
  font-weight: bold;
  margin-right: 8px;
  display: inline-block;
  color: white;
  display: flex;
  align-items: center;
  justify-content: center;
}

label span.box.correct {
  background-color: var(--color-correct);
}

label span.box.present {
  background-color: var(--color-present);
}

label span.box.eliminated {
  background-color: var(--color-absent);
}

/* Format links & buttons */
a,
a:visited {
  color: var(--text);
  border-bottom: 2px solid var(--text);
  text-decoration: none;
  font-weight: bold;
}

a:hover {
  text-decoration: none;
}

a button,
button,
[role="button"],
input[type="submit"],
input[type="reset"],
input[type="button"] {
  border: none;
  border-radius: 5px;
  background: var(--accent);
  font-size: 1rem;
  color: var(--bg);
  padding: 0.7rem 0.9rem;
  margin: 0.5rem 0;
  transition: 0.4s;
}

a button[disabled],
button[disabled],
[role="button"][aria-disabled="true"],
input[type="submit"][disabled],
input[type="reset"][disabled],
input[type="button"][disabled],
input[type="checkbox"][disabled],
input[type="radio"][disabled],
select[disabled] {
  cursor: default;
  opacity: 0.5;
  cursor: not-allowed;
}

input:disabled,
textarea:disabled,
select:disabled {
  cursor: not-allowed;
  background-color: var(--disabled);
}

input[type="range"] {
  padding: 0;
}

/* Set the cursor to '?' while hovering over an abbreviation */
abbr {
  cursor: help;
}

button:focus,
button:enabled:hover,
[role="button"]:focus,
[role="button"]:not([aria-disabled="true"]):hover,
input[type="submit"]:focus,
input[type="submit"]:enabled:hover,
input[type="reset"]:focus,
input[type="reset"]:enabled:hover,
input[type="button"]:focus,
input[type="button"]:enabled:hover,
input[type="checkbox"]:focus,
input[type="checkbox"]:enabled:hover,
input[type="radio"]:focus,
input[type="radio"]:enabled:hover {
  opacity: 0.8;
  cursor: pointer;
}

/* Format the expanding box */
details {
  background: var(--accent-bg);
  border: 1px solid var(--border);
  border-radius: 5px;
  margin-bottom: 1rem;
}

summary {
  cursor: pointer;
  font-weight: bold;
  padding: 0.6rem 1rem;
}

details[open] {
  padding: 0.6rem 1rem 0.75rem 1rem;
}

details[open] summary {
  margin-bottom: 0.5rem;
  padding: 0;
}

details[open] > *:last-child {
  margin-bottom: 0;
}

/* Format tables */
table {
  border-collapse: collapse;
  width: 100%;
  margin: 1.5rem 0;
}

td,
th {
  border: 1px solid var(--border);
  text-align: left;
  padding: 0.5rem;
}

th {
  background: var(--accent-bg);
  font-weight: bold;
}

tr:nth-child(even) {
  /* Set every other cell slightly darker. Improves readability. */
  background: var(--accent-bg);
}

table caption {
  font-weight: bold;
  margin-bottom: 0.5rem;
}

/* Lists */
ol,
ul {
  padding-left: 3rem;
}

/* Format forms */
textarea,
select,
input {
  font-size: inherit;
  font-family: inherit;
  padding: 0.5rem;
  text-transform: uppercase;
  margin-bottom: 0.5rem;
  color: var(--text);
  outline-color: var(--color-tone-1);
  background: var(--bg);
  border: var(--border);
  border-radius: 5px;
  box-shadow: none;
  box-sizing: border-box;
  width: 60%;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
}

/* Add arrow to  */
select {
  background-image: linear-gradient(45deg, transparent 49%, var(--text) 51%),
    linear-gradient(135deg, var(--text) 51%, transparent 49%);
  background-position: calc(100% - 20px), calc(100% - 15px);
  background-size: 5px 5px, 5px 5px;
  background-repeat: no-repeat;
}

select[multiple] {
  background-image: none !important;
}

/* checkbox and radio button style */
input[type="checkbox"],
input[type="radio"] {
  vertical-align: bottom;
  position: relative;
}

input[type="radio"] {
  border-radius: 100%;
}

input[type="checkbox"]:checked,
input[type="radio"]:checked {
  background: var(--accent);
}

input[type="checkbox"]:checked::after {
  /* Creates a rectangle with colored right and bottom borders which is rotated to look like a check mark */
  content: " ";
  width: 0.1em;
  height: 0.25em;
  border-radius: 0;
  position: absolute;
  top: 0.05em;
  left: 0.18em;
  background: transparent;
  border-right: solid var(--bg) 0.08em;
  border-bottom: solid var(--bg) 0.08em;
  font-size: 1.8em;
  transform: rotate(45deg);
}
input[type="radio"]:checked::after {
  /* creates a colored circle for the checked radio button  */
  content: " ";
  width: 0.25em;
  height: 0.25em;
  border-radius: 100%;
  position: absolute;
  top: 0.125em;
  background: var(--bg);
  left: 0.125em;
  font-size: 32px;
}

/* Make the textarea wider than other inputs */
textarea {
  width: 80%;
}

/* Makes input fields wider on smaller screens */
@media only screen and (max-width: 720px) {
  textarea,
  select,
  input {
    width: 100%;
  }
}

/* Ensures the checkbox and radio inputs do not have a set width like other input fields */
input[type="checkbox"],
input[type="radio"] {
  width: auto;
}

/* GAME PLAY */

#title {
  text-transform: uppercase;
  letter-spacing: 0.2rem;
  font-size: 36px;
}

#title > span {
  color: var(--color-tone-3);
  transition: color 3s;
}

#title > span.initial {
  color: transparent;
}

#correct-letters {
  list-style: none;
  display: grid;
  grid-template-columns: repeat(5, 1fr);
  grid-gap: 5px;
  padding-left: 0;
}

#correct-letters li {
  display: flex;
  justify-content: center;
  align-items: center;
}

#correct-letters input {
  border-radius: 0;
  border: var(--border);
  width: 10vw;
  font-size: clamp(36px, 6vw, 12px);
  height: 10vw;
  max-width: 60px;
  max-height: 60px;
  min-width: 50px;
  min-height: 50px;
  text-align: center;
  font-weight: bold;
  color: var(--black);
}

@media (max-width: 992px) {
  #correct-letters-wrapper {
    width: 100%;
  }
}

#correct-letters input::after {
  content: "";
  display: block;
  padding-bottom: 100%;
}

#correct-letters input.has-letter {
  background-color: var(--color-correct);
  border: 2px solid var(--color-correct);
  color: white;
}

#other-inputs {
  display: grid;
  justify-content: center;
  gap: 20px;
  grid-template-columns: 1fr 1fr;
  width: 100%;
  margin-top: 20px;
  margin-bottom: 60px;
}

@media (max-width: 992px) {
  #other-inputs {
    flex-wrap: wrap;
  }
}

#other-inputs div {
  width: 100%;
}

#other-inputs input {
  width: 100%;
  border-radius: 0;
  padding: 16px;
}

#other-inputs #other-present-letters-input {
  border: 2px solid var(--color-present);
  font-weight: bold;
}

#other-inputs #eliminated-letters-input {
  font-weight: bold;
  border: 2px solid var(--color-absent);
}

#wordOptions {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(110px, 1fr));
  width: 100%;
  grid-column-gap: 4px;
  grid-row-gap: 4px;
}

#wordOptions-wrapper {
  max-height: 300px;
  width: 100%;
  overflow: auto;
}

#wordOptions > .wordOption {
  display: flex;
  padding: 8px;
  height: fit-content;
  justify-content: center;
  align-items: center;
  border: var(--border);
}

#wordOptions > .wordOption.bestWord {
  border: 2px solid var(--color-correct);
}

#filtered-words-notes {
  align-self: flex-start;
  padding-top: 4px;
}

#comments {
  padding: 60px 0;
  padding-bottom: 0;
}

#comments > div {
  margin-bottom: 24px;
}

footer img {
  width: 100%;
  max-width: 300px;
  position: relative;
  top: 8px;
}
footer h1 > span {
  font-size: var(--font-p-size);
  display: block;
  font-weight: normal;
}
